export declare class Transpiler {
    private readonly _functions;
    constructor();
    private transpileCommentNode;
    private transpileExpressionBinaryNode;
    private transpileExpressionNameNode;
    private transpileExpressionAssignNameNode;
    private transpileExpressionConstantNode;
    private transpileExpressionGetAttrNode;
    private transpileExpressionArrayNode;
    private transpileForNode;
    private transpileIfNode;
    private transpilePrintNode;
    private transpileTextNode;
    private transpileExpressionFunctionNode;
    private transpileNode;
    transpile(code: string): string;
    /**
     * Register a function to the transpiler.
     *
     * @param name
     */
    registerFunction(name: string): void;
}
